dbplus_getlock
dbplus_info
DB++ Functions
PHP Manual

# dbplus_getunique

(PHP 4 >= 4.0.7, PECL dbplus:0.9)

dbplus_getunique — Get an id number unique to a relation

### Description

int dbplus_getunique ( resource `$relation` , int `$uniqueid` )

Obtains a number guaranteed to be unique for the given `relation` and will pass it back in the variable given as `uniqueid` .

### Parameters

`relation`

  A relation opened by dbplus_open().

`uniqueid`

### Return Values

Returns `DBPLUS_ERR_NOERR` on success or a db++ error code on failure.

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

dbplus_getlock
dbplus_info
DB++ Functions
PHP Manual